//priority 10



ServerEvents.recipes(event => {
    //Removal    
    event.remove({ output: 'magistuarmory:blacksmith_hammer'})
    event.remove({ id: 'magistuarmory:steel_ingot_to_steel_nuggets'})
    event.remove({ id: 'magistuarmory:steel_nuggets_to_steel_ingot'})
    event.remove({ id: 'immersiveengineering:crafting/nugget_steel_to_ingot_steel'})
    //shaped
    event.recipes.kubejs.shaped('magistuarmory:blacksmith_hammer',
        [
         'H',
         'S'],
         {
          S: 'magistuarmory:hilt',
          H: 'tfc:metal/hammer_head/steel'  
         }
    )
     //barrel
   function rusting(input, output) {
    event.recipes.tfc.barrel_sealed(12000)
    .outputItem(output)
    .inputs(input, TFC.fluidStackIngredient('minecraft:water', 4000))  
} 
    rusting('magistuarmory:iron_bastardsword', 'magistuarmory:rusted_bastardsword')
    rusting('magistuarmory:iron_heavymace', 'magistuarmory:rusted_heavymace')
    rusting('magistuarmory:barbute','magistuarmory:rustedbarbute')
    rusting('magistuarmory:halfarmor_chestplate','magistuarmory:rustedhalfarmor_chestplate')
    rusting('magistuarmory:greathelm','magistuarmory:rustedgreathelm')
    rusting('magistuarmory:crusader_chestplate','magistuarmory:rustedcrusader_chestplate')
    rusting('magistuarmory:crusader_boots','magistuarmory:rustedcrusader_boots')
    rusting('magistuarmory:norman_helmet','magistuarmory:rustednorman_helmet')
    rusting('magistuarmory:chainmail_helmet','magistuarmory:rustedchainmail_helmet')
    rusting('magistuarmory:chainmail_chestplate','magistuarmory:rustedchainmail_chestplate')
    rusting('magistuarmory:chainmail_leggings','magistuarmory:rustedchainmail_leggings')
    rusting('magistuarmory:chainmail_boots','magistuarmory:rustedchainmail_boots')
    rusting('magistuarmory:kettlehat','magistuarmory:rustedkettlehat')   
    rusting('magistuarmory:iron_roundshield', 'magistuarmory:corruptedroundshield') 

})